/// <reference types="cypress" />

context('Example Tests with Continuum', () => {

    // See `continuum/cypress.js` for the definitions of custom commands like `cy.setUpContinuum` and the rest

    before(() => {
        // Continuum only needs to be set up once per testing context;
        // the page under test can change without having to set up Continuum again
        cy.setUpContinuum('continuum/continuum.conf.js')
    })

    it('Browse nps.gov', () => {
        cy.visit('https://www.nps.gov/')
            .runAllAccessibilityTests() // this takes an optional boolean argument that determines if the contents of an iframe will be scanned
            .printAccessibilityTestResults()
            // to send these accessibility concerns from Continuum to AMP, uncomment the line below and
            // edit the submitAccessibilityConcernsToAMP function in `continuum/cypress.js` according to our
            // 'Sending Continuum Testing Results to AMP' support article:
            // https://support.levelaccess.com/hc/en-us/articles/360024510632-Sending-Continuum-Testing-Results-to-AMP
            //.submitAccessibilityConcernsToAMP()
            // to send them to Level Access Platform, uncomment the line below
            // .submitAccessibilityConcernsToLevelAccessPlatform()
            .get('a:visible').contains('Find a Park').scrollIntoView().click()
            .runAllAccessibilityTests()
            .printAccessibilityTestResults()
            //.submitAccessibilityConcernsToAMP()
            .failIfAnyAccessibilityConcerns()
    })
})
